/**********************************************************************************************

  DSP Solutions GmbH & Co. KG
  http://www.dspsolutions.de/

  Author:      Not defined
  Email:       Not defined
  Phone:       Not defined
  Fax:         +49-941-83055-79

  File:        CDlgWptDel.h

  Module:

  Description:

  Created:     10/12/2009

  (C) 2009 DSP Solutions. All rights reserved.


**********************************************************************************************/
#ifndef CDLGWPTDEL_H
#define CDLGWPTDEL_H

#include <QDialog>

#ifdef DISPLAY_SMALL
#include<ui_IDlgWptDel_small.h>
#else                            //DISPLAY_SMALL
#include<ui_IDlgWptDel_large.h>
#endif                           //DISPLAY_SMALL

#include "IKeys.h"

class CDlgWptDel : public QDialog, public IKeys, private Ui::IDlgWptDel
{
    Q_OBJECT;
    public:
        CDlgWptDel(QWidget * parent);
        virtual ~CDlgWptDel();

    private slots:
        void slotKey1();
        void slotKey2();
        void slotKey3();
        void slotKey4();

};

#endif //CDLGWPTDEL_H

